<?php

// Start session or resume existing
session_start();

// Prevent caching for security
header("Cache-Control: no-store, no-cache, must-revalidate, max-age=0");
header("Cache-Control: post-check=0, pre-check=0", false);
header("Pragma: no-cache");

if(isset($_REQUEST['login'])){
$conn=mysqli_connect("localhost","primarysales","S5L7lF01EQZvQrGK","primarysales_diana");
$sqlst="select title_names,positions,usernames from sprdusers where usernames='".$_REQUEST['username'].
"' and passwords='".$_REQUEST['password']."' ";

$qry=mysqli_query($conn,$sqlst);
if(mysqli_num_rows($qry)>1){
header("location:index.php?errors=multiple users");}

if(mysqli_num_rows($qry)==0){
header("location:index.php?errors=invalid user name/ password");}

if(mysqli_num_rows($qry)==1){
$rst=mysqli_fetch_row($qry);

session_start();
$_SESSION['titles']=$rst[0];
$_SESSION['positions']=$rst[1];
$_SESSION['usernames']=$rst[2];
$months=date('m');
$days=date('t');
$years=date('Y');

if($starts==0 || $starts==''){
$starts=$years."-".$months."-01";}
if($ends==0 || $ends==''){
$ends=$years."-".$months."-".$days;}


$sqlst="select distinct segments from acs where user_names='".$_REQUEST['username']."' ";
$qry=mysqli_query($conn,$sqlst);
while($rst=mysqli_fetch_row($qry)){

if($rst[0]=='primarys'){
$usstates=1;}

if($rst[0]=='rds' && $usstates!=1){
$usstates=2;}

if($rst[0]=='marketreturns' && $usstates!=1 && $usstates!=2){
$usstates=3;}

if($rst[0]=='ceo' && $usstates!=1 && $usstates!=2 && $usstates!=3){
$usstates=4;}

if($rst[0]=='costac' && $usstates!=1 && $usstates!=2 && $usstates!=3 && $usstates!=4 && $usstates!=6 && $usstates=7){
$usstates=5;}

if($rst[0]=='newsys' && $usstates!=1 && $usstates!=2 && $usstates!=3 && $usstates!=4 && $usstates!=5){
$usstates=6;}

if($rst[0]=='sts' && $usstates!=1 && $usstates!=2 && $usstates!=3 && $usstates!=4 && $usstates!=5 && $usstates!=6){
$usstates=7;}

if($rst[0]=='rdd' && $usstates!=1 && $usstates!=2 && $usstates!=3 && $usstates!=4 && $usstates!=5 && $usstates!=6 && $usstates!=7){
$usstates=8;}

if($rst[0]=='stationery' && $usstates!=1 && $usstates!=2 && $usstates!=3 && $usstates!=4 && $usstates!=5 && $usstates!=6 && $usstates!=7 && $usstates!=8){
$usstates=9;}

if($rst[0]=='tprplan' && $usstates!=1 && $usstates!=2 && $usstates!=3 && $usstates!=4 && $usstates!=5 && $usstates!=6 && $usstates!=7 && $usstates!=8 && $usstates!=9){
$usstates=10;}

if($rst[0]=='managementdash' && $usstates!=1 && $usstates!=2 && $usstates!=3 && $usstates!=4 && $usstates!=5 && $usstates!=6 && $usstates!=7 && $usstates!=8 && $usstates!=9 && $usstates!=10){
$usstates=11;}

if($rst[0]=='mtdash' && $usstates!=1 && $usstates!=2 && $usstates!=3 && $usstates!=4 && $usstates!=5 && $usstates!=6 && $usstates!=7 && $usstates!=8 && $usstates!=9 && $usstates!=10 && $usstates!=11){
$usstates=12;}

if($rst[0]=='salestondboard' && $usstates!=1 && $usstates!=2 && $usstates!=3 && $usstates!=4 && $usstates!=5 && $usstates!=6 && $usstates!=7 && $usstates!=8 && $usstates!=9 && $usstates!=10 && $usstates!=11 && $usstates!=12){
$usstates=13;}

}

if($usstates==1){
$hdr="location:rpmprzonetgsummary.php?rpsty=agentsummarys&starts=".$starts."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All";}

if($usstates==2){
$hdr="location:dbrds.php?rpsty=agentsummarys&starts=".$starts."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All";}

if($usstates==4){
$hdr="location:rpmodinvdash.php?rpsty=agentsummarys&starts=".$starts."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All";}

if($usstates==3){
$hdr="location:mrdashbs.php?rpsty=agentsummarys&starts=".$starts."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All";}

if($usstates==5){
$hdr="location:rpmrgnpcost.php?rpsty=agentsummarys&starts=".$starts."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All";}

if($usstates==6){
$hdr="location:vsregionalperfomanceteam.php?rpsty=agentsummarys&starts=".$starts."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All";}

//if($usstates==6){
//$hdr="location:newdashpage.php?rpsty=agentsummarys&starts=".$starts."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All";}

if($usstates==7){
$hdr="location:vtprstdashbs.php?rpsty=agentsummarys&starts=".$starts."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All";}

if($usstates==8){
$hdr="location:rdentry.php?rpsty=agentsummarys&starts=".$starts."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All";}

if($usstates==9){
$hdr="location:rdentrynew.php?rpsty=agentsummarys&starts=".$starts."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All";}

if($usstates==10){
$hdr="location:rpmrdslregionl.php?rpsty=agentsummarys&starts=".$starts."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All";}

if($usstates==11){
$hdr="location:rpmodinvdash.php?rpsty=agentsummarys&starts=".$starts."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All";}

//if($usstates==11){
//$hdr="location:rpmodinvdash.php?rpsty=agentsummarys&starts=".$starts."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All";}

//if($usstates==11){
//$hdr="location:diana_budget/maindash.php?rpsty=agentsummarys&starts=".$starts//."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All"//;}

if($usstates==12){
$hdr="location:diana_budget/mtdashboard.php?rpsty=agentsummarys&starts=".$starts."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All";}

if($usstates==13){
$hdr="location:rdentry.php?rpsty=agentsummarys&starts=".$starts."&ends=".$ends."&regions=all&agents=All&territorys=0&zones=All&regions=All";}


header($hdr);
}
}
?>